## cctools 0.1.0

=== DESCRIPTION ===
Package: cctools
Type: Package
Title: Tools for the Continuous Convolution Trick in Nonparametric
        Estimation
Version: 0.1.0
Authors@R: person("Thomas", "Nagler", , "thomas.nagler@tum.de", c("aut", "cre"))
Description: Implements the uniform scaled beta distribution and
  the continuous convolution kernel density estimator.
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: stats, Rcpp (>= 0.12.5), qrng
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2017-04-26 10:50:13 UTC; n5
Author: Thomas Nagler [aut, cre]
Maintainer: Thomas Nagler <thomas.nagler@tum.de>
Repository: CRAN
Date/Publication: 2017-04-26 17:21:13 UTC
