## cctools 0.1.3

=== DESCRIPTION ===
Package: cctools
Type: Package
Title: Tools for the Continuous Convolution Trick in Nonparametric
        Estimation
Version: 0.1.3
Authors@R: person("Thomas", "Nagler", , "mail@tnagler.com", c("aut", "cre"))
Description: Implements the uniform scaled beta distribution and
  the continuous convolution kernel density estimator.
License: GPL-3
Encoding: UTF-8
Imports: stats, Rcpp (>= 0.12.5), qrng
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.3.2
Suggests: testthat
NeedsCompilation: yes
Packaged: 2025-03-24 18:13:36 UTC; n5
Author: Thomas Nagler [aut, cre]
Maintainer: Thomas Nagler <mail@tnagler.com>
Repository: CRAN
Date/Publication: 2025-03-24 19:30:05 UTC
