=== allpairs/doc/Makefile ===
include ../../Makefile.config
include ../../Makefile.rules

all:

clean:

test:

install:
	install -d ${CCTOOLS_INSTALL_DIR}/doc
	install allpairs.html ${CCTOOLS_INSTALL_DIR}/doc
