=== chirp/doc/Makefile ===
include ../../Makefile.config
include ../../Makefile.rules

all:

clean:

test:

install:
	install -d ${CCTOOLS_INSTALL_DIR}/doc
	install chirp.html ${CCTOOLS_INSTALL_DIR}/doc
	install chirp_protocol.html ${CCTOOLS_INSTALL_DIR}/doc
