=== debian/changelog ===
cctools (3.3.2-4) unstable; urgency=low

  * More FTBFS fixes for kFreeBSD: The netstat API is different from Linux
    platforms. Upstream's tests for a Linux platform actually test for a GNU
    libc, hence "LINUX" is enforced as operating system configure setting to
    keep the patch minimal.
  * Add a dependency on Python to coop-computing-tools. Some tools are
    implemented in Python. Found by lintian.
  * Remove jquery library copy that is included by the latest doxygen.
    Replaced with symlink and package dependency on libjs-jquery.
  * Add DEP-3 compliant headers to all patches.

 -- Michael Hanke <mih@debian.org>  Wed, 11 May 2011 10:32:23 -0400

cctools (3.3.2-3) unstable; urgency=low

  * Fix another FTBFS on kFreeBSD -- assumption that non-Linux is also
    non-GNU.

 -- Michael Hanke <mih@debian.org>  Mon, 09 May 2011 16:40:39 -0400

cctools (3.3.2-2) unstable; urgency=low

  * Fix FTBFS on kFreeBSD -- invalid value in defines (Closes: #626160).
  * Add gridengine-client to suggested packages, as makeflow also supportes
    SGE.
  * Change package long description indentation to be more compatible with
    existing renderers.

 -- Michael Hanke <mih@debian.org>  Mon, 09 May 2011 09:47:37 -0400

cctools (3.3.2-1) unstable; urgency=low

  * Initial release. (Closes: #618774)
  * Named binary package coop-computing-tools to avoid future naming conflict
    with another cctools package, currently in preparation.

 -- Michael Hanke <mih@debian.org>  Sat, 07 May 2011 09:05:00 -0400
