=== debian/changelog ===
cctools (3.3.3-1) unstable; urgency=low

  * New upstream release.
  * Updated Debian configuration patches.
  * Added build-dependency to python-support to install the workqueue
    extension correctly.

 -- Michael Hanke <mih@debian.org>  Thu, 14 Jul 2011 14:41:37 -0400
