=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), python-dev, libglobus-common-dev, libmysqlclient-dev, libfuse-dev, libkrb5-dev, libglobus-gss-assist-dev, net-tools, doxygen
+Build-Depends: debhelper (>= 7.0.50~), python-dev, python-support, libglobus-common-dev, libmysqlclient-dev, libfuse-dev, libkrb5-dev, libglobus-gss-assist-dev, net-tools, doxygen
 Standards-Version: 3.9.2
 Homepage: http://nd.edu/~ccl/software/
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/cctools.git
