## cctools 3.3.4

=== debian/changelog ===
cctools (3.3.4-2) unstable; urgency=low

  * Added missing build-dependency on ncurses (Closes: #644578).

 -- Michael Hanke <mih@debian.org>  Fri, 07 Oct 2011 14:29:14 +0200

cctools (3.3.4-1) unstable; urgency=low

  * New upstream release.
  * Added patches from upstream SVN with fixes for Debian's multiarch
    (Closes: #635916).
  * Re-enable building parrot on amd64 (broken by fix for kFreeBSD).
  * Enable readline support (added appropriate build-dependencies).

 -- Michael Hanke <mih@debian.org>  Sun, 14 Aug 2011 20:14:30 +0200
