=== apps/replica_exchange_protomol/Makefile ===

include ../../Makefile.config
include ../../Makefile.rules

all:

test:

install:
	cp replica_exchange_protomol ${CCTOOLS_INSTALL_DIR}/bin

clean:
