=== debian/changelog ===
cctools (3.4.0-1build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 15:53:55 -0800

cctools (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * Improve DEP5 compliance of debian/copyright.
  * Added patch to make "starch" use python instead of python2 as interpreter.
  * Tighten build-dependencies (added swig and m4).
  * Enable MPI-support for work-queue.
  * Move to dh_python2.
  * Split Python-bindings for workqueue into a dedicated package and build
    them for all supported Python versions.

 -- Michael Hanke <mih@debian.org>  Wed, 26 Oct 2011 11:51:10 +0200
